/* eslint-disable no-console */

class Logger {

	constructor() {
		this.enabled = false;
	}

	enable() {
		this.enabled = true;
	}

	disable() {
		this.enabled = false;
	}

	log(msg) {
		if(this.enabled === false) {
			return;
		}
		console.log(msg);
	}

}

export default new Logger();