/* eslint-env node */

// Downloads gaze client library from https://lab.las3.de/gitlab/eye-tracking-classroom/gaze-client.js

const https = require("https"),
  fs = require("fs"),
  fileList = [{
      url: "https://lab.las3.de/gitlab/eye-tracking-classroom/gaze-client.js/raw/master/build/gazeclient.js",
      localPath: "vendors/gazeclient.js",
    },
    {
      url: "https://lab.las3.de/gitlab/eye-tracking-classroom/gaze-client.js/raw/master/build/gazeclient.js.map",
      localPath: "vendors/gazeclient.js.map",
    },
    {
      url: "https://lab.las3.de/gitlab/eye-tracking-classroom/gaze-client.js/raw/master/build/gazeclient.min.js",
      localPath: "vendors/gazeclient.min.js",
    },
  ];

function downloadFile(source, target) {
  let file = fs.createWriteStream(target);
  https.get(source, function(response) {
    response.pipe(file);
  });
}

for (let i = 0; i < fileList.length; i++) {
  let file = fileList[i];
  downloadFile(file.url, file.localPath);
}